%define version 1.00
%define release 2mdk

Summary:	GNU chess opening book
Name:		gnuchess-book
Version:	%{version}
Release:	%{release}
# ftp://ftp.gnu.org/pub/gnu/chess/
Source0:	book_%{version}.pgn.bz2
Group:		Games/Boards
URL:		http://www.gnu.org/software/chess/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	Public Domain
BuildArch:	noarch
BuildRequires:	gnuchess

%description
This is the opening book for gnuchess, containing many historic games
played between masters and grandmasters. It was formerly distributed
together with gnuchess, now it has been separated due to size and
architecture-independence.
It is recommended that you install it if you want to play gnuchess.

%prep
%setup -c -T
bzcat %{SOURCE0} > book.pgn

%build
export PATH="$PATH:%{_gamesbindir}"
echo -e 'book add book.pgn\nquit' | gnuchess -

%install
rm -rf %{buildroot}
install -D -m 0644 book.dat %{buildroot}%{_gamesdatadir}/gnuchess/book.dat

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_gamesdatadir}/gnuchess

%changelog
* Fri Sep 19 2003 Abel Cheung <deaddog@deaddog.org> 1.00-2mdk
- Corrected license

* Fri Sep 19 2003 Abel Cheung <deaddog@deaddog.org> 1.00-1mdk
- First Mandrake package, description taken from debian package

